Subject: Re: Re: linux-next: build failure after merge of the drm-misc tree

From: Thomas Hellström <[email-masked]>
Date: Wed, 07 Feb 2024 07:56:39 +0100

On Tue, 2024-02-06 at 14:21 -0600, Lucas De Marchi wrote:
> On Tue, Feb 06, 2024 at 01:39:28PM +0100, Thomas Hellström wrote:
> > Hi
> > 
> > On Tue, 2024-02-06 at 12:28 +1100, Stephen Rothwell wrote:
> > > Hi all,
> > > 
> > > After merging the drm-misc tree, today's linux-next build (x86_64
> > > allmodconfig) failed like this:
> > > 
> > > 
> > > Caused by commit
> > > 
> > >   a78a8da51b36 ("drm/ttm: replace busy placement with flags v6")
> > > 
> > > interacting with commit
> > > 
> > >   dd08ebf6c352 ("drm/xe: Introduce a new DRM driver for Intel
> > > GPUs")
> > > 
> > > (and maybe others) from Linus' tree (v6.8-rc1).
> > > 
> > > I have applied the following merge fix patch for today.  This
> > > makes
> > > it build,
> > > but more is likely needed ...
> > 
> > There was a manual fixup for the drm-misc-next merge into drm-tip
> > that
> > did the right thing here.
> > 
> > How do we ensure these are included into the linux-next builds?
> 
> I think it should have been done in commit 4db102dcb039 ("Merge
> drm/drm-next into drm-misc-next")
> when drm-next merged back into drm-misc-next. Now one option is
> probably a
> commit on drm-misc-next with this content:
> https://cgit.freedesktop.org/drm-tip/tree/fixups/drm-misc-next.patch?h=rerere-cache&id=c39c6e3d74203820ef630884a5323237696bd36c
> 
> 
> Lucas De Marchi

Indeed. Not even drm-misc itself compiles with xe enabled. I'll ping
drm-misc maintainers.

/Thomas